<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/model.core"
	xmlns:h="http://java.sun.com/jsf/html">
<head>
<title>Pessoa</title>
</head>
<body>
	<h:form>
		<fieldset>

			<legend>Busca por nome</legend>
			<h:panelGrid columns="2">
				<h:outputLabel value="Nome: " for="nome" />
				<h:inputText id="nome"
					value="#{pessoaBean.pessoa.nome}" />
				<h:commandButton id="mostrarcpf" value="Mostrar"
					action="resultadoDaBusca" actionListener="#{pessoaBean.recupera}" />
			</h:panelGrid>
		</fieldset>

			<fieldset>
				<legend>Busca por CPF</legend>
				<h:panelGrid columns="2">
					<h:outputLabel value="CPF: " for="cpf" />
					<h:inputText id="cpf" value="#{pessoaBean.pessoa.cpf}" />
					<h:commandButton id="mostrarnome" value="Mostrar"
						action="resultadoDaBusca"
						actionListener="#{pessoaBean.buscaPessoasNome}" />
					<h:commandButton action="pessoa" value="Voltar" />
				</h:panelGrid>
			</fieldset>
	</h:form>
</body>
</html>